%define patch_name kernel-fix-security

Name: %patch_name
Version: 2004.06.20
Release: alt0.10

Summary: %patch_name - Linux kernel security fixes
License: GPL
Group: Development/Kernel
BuildArch: noarch
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Requires:	kernel-build-tools >= 0.6-alt6
BuildPreReq:	kernel-build-tools >= 0.6-alt6

# CAN-2003-0461
%source  1	01_proc_tty_serial.patch	00_not_kernel-fix-security-owl

# CAN-2003-0001
# http://linux.bkbits.net:8080/linux-2.4/cset@1.1063.2.50
%source  2	02_skb_padto_fixes.patch

# CAN-2003-0961
# http://linux.bkbits.net:8080/linux-2.4/cset@marcelo@dmt.cyclades|ChangeSet|20031002082056|19757
%source  3	03_do_brk.patch

%source  4	04_do_page_fault.patch

# CAN-2003-0985
%source  5	05_mremap.patch

%source  6	06_owl-mmap-fixes.patch

# CAN-2003-0984
%source  7	07_rtc.patch

# CAN-2004-0109
%source  8	08_isofs-overflow.patch

# CAN-2004-0181
%source  9	09_jfs-info-leak.patch

# CAN-2004-0177
%source 10	10_ext3-info-leak.patch

# CAN-2004-0133
%source 11	11_xfs-info-leak.patch		11_kernel-feat-fs-xfs

%source 12	12_ncpfs-CAN-2004-0010.patch

%source 13	13_panic.patch

%source 14	14_msfilter.patch

# CAN-2004-0427
%source 15	15_do_fork-memleak.patch

%source 16	16_proc-freed-access.patch

%source 17	17_fpu-exception.patch

# CAN-2004-0495
%source 18	18_airo-fix.patch
%source 20	20_decnet-fix.patch
%source 21	21_mpu401-fix.patch
%source 22	22_msnd-fix.patch
%source 23	23_pss-fix.patch

%source 24	24_chown-DAC.patch

# CAN-2004-0415
%source 25	25_2.4.22-ppos-fixes.patch

%source 26	26_CAN-2004-0685.patch

%source 27	27_ppos-fixes-fix.patch
%source 28	28_smbfs.patch
%source 29	29_binfmt_elf.patch
%source 30	30___user.patch
%source 32	32_tty-V5-2.4.22.patch
%source 33	33_termios-locking-2.4.22.patch
%source 34	34_set_termios.patch
%source 35	35_exec-vma-overlap.patch
%source 36	36_binfmt_aout.patch
%source 37	37_af_unix.patch
%source 38	38_cmsg.patch
%source 39	39_igmp.patch
%source 40	40_ip-options-leak.patch
%source 41	41_binfmt_elf-error-path.patch
%source 42	42_binfmt_elf.patch
%source 43	43_do_brk_locked.patch
%source 44	44_expand_stack.patch
%source 45	45_moxa-int-overflow.patch
%source 46	46_random-poolsize-int-overflow.patch
%source 47	47_ppp_async.patch
%source 48	48_isofs-fixes.patch
%source 49	49_bluetooth-fix.patch
%source 50	50_ext2-infoleak.patch
%source 51	51_binfmt_elf.patch
%source 52	52-elf-coredump.patch

%description
Set of security-related patches.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Wed May 11 2005 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.10
- Added:
  + 52-elf-coredump.patch: CAN-2005-1263

* Mon Mar 28 2005 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.9
- Added:
  + 48_isofs-fixes.patch: CAN-2005-0815
  + 49_bluetooth-fix.patch: CAN-2005-0750
  + 50_ext2-infoleak.patch: CAN-2005-0400
  + 51_binfmt_elf.patch: CAN-2005-0749

* Wed Mar 16 2005 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.8
- Added:
  + 47_ppp_async.patch: CAN-2005-0384

* Fri Jan 07 2005 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.7
- Added:
  + 42_binfmt_elf.patch: Check for zero program header on load_elf_interp()
  + 43_do_brk_locked.patch: CAN-2004-1235
  + 44_expand_stack.patch: CAN-2005-0001
  + 45_moxa-int-overflow.patch
  + 46_random-poolsize-int-overflow.patch

* Thu Dec 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.6
- Added:
  + 41_binfmt_elf-error-path.patch: CAN-2004-1234

* Wed Dec 15 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.5
- Added:
  + 2.4_38_cmsg.patch: CAN-2004-1016
  + 2.4_39_igmp.patch
  + 2.4_40_ip-options-leak.patch

* Sat Nov 27 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.4
- Added:
  + 27_ppos-fixes-fix.patch: fixes for CAN-2004-0415 fixes
  + 28_smbfs.patch: CAN-2004-0883, CAN-2004-0949
  + 29_binfmt_elf.patch: isec-0017
  + 30___user.patch: necessary updates for the next patch
  + 32_tty-V5-2.4.22.patch: tty locking fixes
  + 33_termios-locking-2.4.22.patch: termios locking updates
  + 34_set_termios.patch: add back lost set_termios call
  + 35_exec-vma-overlap.patch: avoid DoS with invalid executable files
  + 36_binfmt_aout.patch: more error checks for a.out executables
  + 37_af_unix.patch: fix dgram read locking

* Mon Aug 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.3
- Added:
  + 25_2.4.22-ppos-fixes.patch: CAN-2004-0415
  + 26_CAN-2004-0685.patch

* Mon Jun 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.2
- Added:
  + 24_chown-DAC.patch

* Sun Jun 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.20-alt0.1
- Added CAN-2004-0495 fixes:
  + 18_airo-fix.patch
  + 20_decnet-fix.patch
  + 21_mpu401-fix.patch
  + 22_msnd-fix.patch
  + 23_pss-fix.patch

* Mon Jun 14 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.14-alt0.1
- Added:
  + 15_do_fork-memleak.patch (CAN-2004-0427)
  + 16_proc-freed-access.patch: potential access to free memory in /proc
  + 17_fpu-exception.patch: fix FPU exception handling DoS

* Thu Apr 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.22-alt0.1
- Modified:
  + 14_msfilter.patch (fixed error path to return -EINVAL correctly).

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.20-alt0.1
- Added patches:
  + 13_panic.patch
  + 14_msfilter.patch

* Tue Apr 13 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.13-alt0.1
- Added patches:
  + 08_isofs-overflow.patch (CAN-2004-0109)
  + 09_jfs-info-leak.patch (CAN-2004-0181)
  + 10_ext3-info-leak.patch (CAN-2004-0177)
  + 11_xfs-info-leak.patch (CAN-2004-0133)
  + 12_ncpfs-CAN-2004-0010.patch

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt2
- Require kernel-build-tools >= 0.6-alt6.
- Removed apply script (kernel-build-tools-0.6-alt6 has all needed functions).

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added patches:
  + 06_owl-mmap-fixes.patch (backported from 2.4.23-ow2)
  + 07_rtc.patch (CAN-2003-0984)

* Wed Dec 31 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.31-alt1
- Added patches:
  + 05_mremap.patch (CAN-2003-0985)

* Sat Nov 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.29-alt1
- Added patches:
  + 03_do_brk.patch (CAN-2003-0961)
  + 04_do_page_fault.patch (from Ingo Molnar)

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Added patches:
  + 01_proc_tty_serial.patch (CAN-2003-0461)
  + 02_skb_padto_fixes.patch (CAN-2003-0001)
- Added back apply script (needed to avoid applying 01_proc_tty_serial.patch
  after owl patch - owl already includes these changes).

* Fri Nov 28 2003 Dmitry V. Levin <ldv@altlinux.org> 2003.11.28-alt0
- Specfile cleanup

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.07.30-alt1
- added patches:
  + br_stp (CAN-2003-{0550,0551,0552})
  + execve (CAN-2003-0476)
  + proc (CAN-2003-{0461,0462,0501})
  + socketreuse (CAN-2003-0464)
- remixed apply script so execve and proc don\'t conflict with -owl patch.

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.20-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.20-alt2
- spec improvements: using %%source and %%install_patches macroses
- apply script removed

* Fri Jun 20 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.20-alt1
- removed ptrace patch.

* Tue Jun 17 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.17-alt1
- mxcsr security hole (CAN-2003-0248) fix added

* Thu Jun 12 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.12-alt1
- remixed all the package

* Thu Jun  5 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.05-alt1
- updated for rc7 (don't apply 01_ptrace)

* Wed May 14 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.02.12-alt4
- updated for rc2 (don't apply 01_ptrace)

* Tue Apr 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.02.12-alt3
- version changed according the policy

* Tue Apr 22 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0-alt3
- updated to rc1 (don't apply 01_ptrace)
- spec cosmetic changes

* Fri Apr 18 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.0-alt2
- spec improvemens according the policy
- don't apply 01_ptrace to 2.4.21pre7

* Wed Feb 12 2003 Peter Novodvorsky <nidd@myxomop.com> 1.0-alt1
- ptrace security hole patch included

